
QGIS Application - Bug report #8797

Can not build qgis-2.0.1 without full spatialite support

2013-10-08 08:19 AM - Egor Y. Egorov eegorov

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17498

Description

I cant build QGIS:

$ cmake ../QGIS -DCMAKE_INSTALL_PREFIX=/usr -DQGIS_MANUAL_SUBDIR=/share/man/ -DBUILD_SHARED_LIBS=ON

-DQGIS_LIB_SUBDIR=lib64 -DQGIS_PLUGIN_SUBDIR=lib64/qgis -DWITH_INTERNAL_SPATIALITE=OFF

-DWITH_INTERNAL_QWTPOLAR=OFF -DPEDANTIC=OFF -DWITH_APIDOC=OFF -DWITH_POSTGRESQL=ON

-DWITH_GRASS=ON -DWITH_MAPSERVER=ON -DWITH_BINDINGS=ON -DBINDINGS_GLOBAL_INSTALL=ON

-DWITH_SPATIALITE=OFF -DWITH_PYSPATIALITE=OFF -DWITH_GSL=ON -DENABLE_TESTS=OFF

-DGRASS_PREFIX=/usr/ -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF

-- The C compiler identification is GNU 4.8.1

-- The CXX compiler identification is GNU 4.8.1

-- Check for working C compiler: /usr/bin/cc

-- Check for working C compiler: /usr/bin/cc -- works

-- Detecting C compiler ABI info

-- Detecting C compiler ABI info - done

-- Check for working CXX compiler: /usr/bin/c++

-- Check for working CXX compiler: /usr/bin/c++ -- works

-- Detecting CXX compiler ABI info

-- Detecting CXX compiler ABI info - done

-- QGIS version: 2.0.1 Dufour (20001)

-- Found GRASS: /usr/ (6.4.2)

-- Looking for openpty

-- Looking for openpty - not found

-- Looking for openpty

-- Looking for openpty - found

-- Found Proj: /usr/lib64/libproj.so

-- Found GEOS: /usr/lib64/libgeos_c.so

-- Found GDAL: /usr/lib64/libgdal.so (1.9.2)

-- Found Expat: /usr/lib64/libexpat.so

-- Found Spatialindex: /usr/lib64/libspatialindex.so

-- Found Qwt: /usr/lib64/libqwt.so (5.2.1)

-- Found QwtPolar: /usr/lib64/libqwtpolar.so

-- Found Sqlite3: /usr/lib64/libsqlite3.so

-- Found PostgreSQL: /usr/lib64/postgresql-9.2/lib64/libpq.so

-- Looking for Q_WS_X11

-- Looking for Q_WS_X11 - found

-- Looking for Q_WS_WIN

-- Looking for Q_WS_WIN - not found

-- Looking for Q_WS_QWS

-- Looking for Q_WS_QWS - not found
-- Looking for Q_WS_MAC

-- Looking for Q_WS_MAC - not found

-- Found Qt4: /usr/bin/qmake (found suitable version "4.8.4", minimum required is "4.5.0") 

-- Touch support disabled

-- Found QScintilla2: /usr/lib64/qt4/libqscintilla2.so (2.7.2)

-- Found PythonInterp: /usr/bin/python (found version "2.7.5") 

-- Found Python executable: /usr/bin/python

-- Found Python version: 2.7.5

-- Found Python library: /usr/lib64/libpython2.7.so

-- Found SIP version: 4.14.7

-- Found PyQt4 version: 4.10.2

-- Found QScintilla2 PyQt4 module: 2.7.2

-- Found GSL: -L/usr/lib64 -lgsl -lgslcblas -lm

-- Found FCGI: /usr/lib64/libfcgi.so

-- txt2tags not found - disabled

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.

Please set them or make sure they are set and tested correctly in the CMake files:

SPATIALITE_INCLUDE_DIR

   used as include directory in directory /var/tmp/QGIS/src/core

   used as include directory in directory /var/tmp/QGIS/src/analysis

   used as include directory in directory /var/tmp/QGIS/src/analysis/network

   used as include directory in directory /var/tmp/QGIS/src/app

   used as include directory in directory /var/tmp/QGIS/src/plugins/offline_editing

SPATIALITE_LIBRARY

    linked by target "qgis_core" in directory /var/tmp/QGIS/src/core

    linked by target "offlineeditingplugin" in directory /var/tmp/QGIS/src/plugins/offline_editing

-- Configuring incomplete, errors occurred!

Is this feature supported? Or need always build with spatialite?

See also bug in Gentoo:

https://bugs.gentoo.org/show_bug.cgi?id=485868

Associated revisions

Revision e3250c17 - 2014-06-21 02:13 PM - Jürgen Fischer

several components require spatialite, make it required (fixes #8797)

History

#1 - 2013-10-08 08:20 AM - Egor Y. Egorov eegorov

- Target version set to Version 2.0.0

#2 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#3 - 2014-06-21 05:14 AM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"e3250c175922398dd19997a03c8d0fcacad723c1".
